Bug 1855895 - Egress Router pod is stuck in Init:CrashLoopBackOff
Summary: Egress Router pod is stuck in Init:CrashLoopBackOff
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Ben Bennett
QA Contact: Weibin Liang
URL:
Whiteboard: SDN-CI-IMPACT,SDN-STALE
Depends On: 1855894
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-10 20:45 UTC by Ben Bennett
Modified: 2020-08-18 11:46 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1855894
Environment:
Last Closed: 2020-08-18 11:45:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 731 None closed [release-4.4] Bug 1855895: Add netns mount 2020-11-09 21:07:16 UTC
Github openshift machine-config-operator pull 1982 None closed [release-4.4] Bug 1855895: templates: add a file to load legacy iptables 2020-11-09 21:07:36 UTC
Red Hat Product Errata RHBA-2020:3334 None None None 2020-08-18 11:46:11 UTC

Comment 4 Weibin Liang 2020-08-10 18:47:22 UTC
Tested and verified in 4.4.0-0.nightly-2020-08-10-015804

oc logs -c egress-router egress-redirect-pod will not see below error any more:
iptables v1.4.21: can't initialize iptables table `nat': Table does not exist (do you need to insmod?)

Comment 6 errata-xmlrpc 2020-08-18 11:45:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3334


Note You need to log in before you can comment on or make changes to this bug.